org.baraza.utils

## Class BLogHandle

- java.lang.Object
- - java.util.logging.Handler
  - - org.baraza.utils.BLogHandle

-     public class BLogHandle
      extends Handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BLogHandle()`
    `BLogHandle(BElement root)`
    `BLogHandle(JTextArea statusBar)`
    `BLogHandle(String logFile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `config(Logger logger)`
    `void` | `flush()`
    `JTextArea` | `getStatusBar()`
    `void` | `publish(LogRecord logRecord)`
    `void` | `removeHandle(Logger logger)`
    `void` | `setLogLevel(BElement root)`
    `void` | `setLogLevel(Level logLevel)`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BLogHandle

          public BLogHandle()

    - #### BLogHandle

          public BLogHandle(JTextArea statusBar)

    - #### BLogHandle

          public BLogHandle(BElement root)

    - #### BLogHandle

          public BLogHandle(String logFile)

  - ### Method Detail

    - #### setLogLevel

          public void setLogLevel(BElement root)

    - #### setLogLevel

          public void setLogLevel(Level logLevel)

    - #### config

          public void config(Logger logger)

    - #### removeHandle

          public void removeHandle(Logger logger)

    - #### getStatusBar

          public JTextArea getStatusBar()

    - #### publish

          public void publish(LogRecord logRecord)

      Specified by:
        `publish` in class `Handler`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `Handler`

    - #### close

          public void close()

      Specified by:
        `close` in class `Handler`

Copyright © 2016 openBaraza. All Rights Reserved.